Subject: Re: [PATCH 1/4] remote: return non-const pointer from error_buf()

From: Junio C Hamano <[email-masked]>
Date: Mon, 19 Jan 2026 16:28:42 -0800

Patrick Steinhardt <[email-masked]> writes:

> This function signature is indeed quite misleading, and I'd argue that
> it continues to be so even after the change. I guess the intent is to
> make it a bit easier to print an error in functions that return a
> string.
>
> I'm not really a huge fan of this, but it's not a fault of this patch
> series, so let's read on.

I concur.  "If they do not return any useful value, they should be
void" was my first reaction, but presumably just like "return
error("message");" is a handy way to give message while signalling
an error to the caller, these are used to return NULL that signals
an error?  I do not offhand think of a good longer-term direction to
improve this one.